  mat-form-field.mat-form-field {
    font-size: 14px;
    width: 75%;
    padding: 0.2em;
    margin-top: -20px; /* Pour compenser le fait qu'il n'est pas possible d'interférer sur les styles internes et du theme !*/
  }

  /*
  
  /!\ Veiller à trouver une alternative à ::ng-deep ---> DEPRECATED
  
https://stackoverflow.com/questions/50309352/override-style-of-first-div-of-mat-form-field

  */
/*
::ng-deep .mat-form-field-appearance-legacy .mat-form-field-wrapper {
    padding-bottom: 0.2em; 
}

::ng-deep .mat-form-field-appearance-legacy .mat-form-field-underline {
    bottom: 0em;
}

::ng-deep .mat-form-field-appearance-legacy .mat-form-field-infix {
    padding: .1em 0;
}

::ng-deep .mat-form-field-infix {
    border-top: .5em solid transparent;
}
*/


.choix-activite{
    position: sticky;
    top: 70px;
    padding-bottom: 10px;
}

.choixsport {
    margin: 0 0;
    padding: 0%;
    width: 120px;
    cursor: pointer;
}

.img {
    width: 50%;
    height: 50%;
}

.present {
    background-color: green;
}

.font-present {
    color: green;
    font-weight: bold;
}

.absent {
    background-color: red;
}

.font-absent {
    color: red;
    font-weight: bold;
}

.incertain {
    background-color: orange;
}

.font-incertain {
    color: orange;
    font-weight: bold;
}

.sansreponse {
    background-color: transparent;
}

.font-sansreponse {
    color: black;
}

.heure {
    font-size: 12px;
    color: grey;
}

.mat-form-field-appearance-legacy .mat-form-field-wrapper {
    padding-bottom: 0.2em; 
}

.mat-form-field-appearance-legacy .mat-form-field-underline {
    bottom: 0em;
}

.mat-form-field-appearance-legacy .mat-form-field-infix {
    padding: .1em 0;
}

.mat-form-field-infix {
    border-top: .5em solid transparent;
}